XFcObjectPacketBase class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcObjectPacketBase Class Reference

XFcObjectPacketBase holds sendable packet buffer and offers header and packet interface to it. More...

List of all members.

## Public Member Functions

void | resetMemoryBlock ()
| Resets memory block.
void | setPacketSize (INT32 aSize)
| Sets packet size.
void | setHeaderSize (INT32 aSize)
| Sets header size.
INT32 | getHeaderSize () const
| Returns header size.
INT32 | getPacketSize () const
| Returns packet size.
void | setDataBlockSize (INT32 aSize)
| Sets data block size.
void * | lockHeader ()
| Locks header.
void | unlockHeader ()
| Unlocks header.
void * | lockPacket ()
| Locks packet.
void | unlockPacket ()
| Unlocks packet.
INT32 | getDataBlockMaxSize () const
| Gets max size of data block.
void * | lock ()
| Gets memory block.
void | unlock ()
| Unlocks memory block.
INT32 | getDataBlockSize () const
| Gets data block size.
INT32 | getMemoryBlockSize () const
| Gets memory block size.
void | sendStatus (INT aValue)
| Sets send status.
INT32 | getSendStatus () const
| Gets send status.
virtual | ~XFcObjectPacketBase ()
| Virtual destructor.

## Static Public Member Functions

XFcObjectPacketBase * | create (INT32 aMaxSize)
| Static constructor.

## Protected Member Functions

INT32 | initObjectBase (INT32 aMaxSize)
| Initializes class.
| XFcObjectPacketBase ()
| Protected constructor.

## Protected Attributes

CHAR8 * | mMemoryBlock
| Holds data pointer.
INT32 | mBufferSize
| Holds max buffer size.
INT32 | mHeaderSize
| Holds header size.
INT32 | mPacketSize
| Holds packet size.
INT32 | mDataBlockSize
| Holds data block size.
INT32 | mSendStatus
| Holds send status.

## Detailed Description

XFcObjectPacketBase holds sendable packet buffer and offers header and packet interface to it.

## Constructor & Destructor Documentation

XFcObjectPacketBase::XFcObjectPacketBase | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFcObjectPacketBase::~XFcObjectPacketBase | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFcObjectPacketBase* XFcObjectPacketBase::create | ( | INT32 | aMaxSize | ) | `[static]`

Static constructor.

Parameters:

  aMaxSize | max size of buffer.

Returns:
  new object if successful, or NULL if unsuccessful.

INT32 XFcObjectPacketBase::getDataBlockMaxSize | ( |  | ) | const

Gets max size of data block.

Returns:
  max size of data block.

INT32 XFcObjectPacketBase::getDataBlockSize | ( |  | ) | const

Gets data block size.

Returns:
  data block size in bytes.

INT32 XFcObjectPacketBase::getHeaderSize | ( |  | ) | const

Returns header size.

Returns:
  header size.

INT32 XFcObjectPacketBase::getMemoryBlockSize | ( |  | ) | const

Gets memory block size.

Returns:
  memory block size in bytes.

INT32 XFcObjectPacketBase::getPacketSize | ( |  | ) | const

Returns packet size.

Returns:
  packet size.

INT32 XFcObjectPacketBase::getSendStatus | ( |  | ) | const

Gets send status.

Returns:
  send status.

INT32 XFcObjectPacketBase::initObjectBase | ( | INT32 | aMaxSize | ) | `[protected]`

Initializes class.

Parameters:

  aMaxSize | max size of buffer.

void* XFcObjectPacketBase::lock | ( |  | ) |

Gets memory block.

Returns:
  pointer to beginning of buffer.

void* XFcObjectPacketBase::lockHeader | ( |  | ) |

Locks header.

Returns:
  pointer to beginning of header.

void* XFcObjectPacketBase::lockPacket | ( |  | ) |

Locks packet.

Returns:
  pointer to beginning of packet

void XFcObjectPacketBase::resetMemoryBlock | ( |  | ) |

| Resets memory block.

void XFcObjectPacketBase::sendStatus | ( | INT | aValue | ) |

Sets send status.

Parameters:

  aValue | send status.

void XFcObjectPacketBase::setDataBlockSize | ( | INT32 | aSize | ) |

Sets data block size.

Parameters:

  aSize | data block size.

void XFcObjectPacketBase::setHeaderSize | ( | INT32 | aSize | ) |

Sets header size.

Parameters:

  aSize | header size.

void XFcObjectPacketBase::setPacketSize | ( | INT32 | aSize | ) |

Sets packet size.

Parameters:

  aSize | packet size.

void XFcObjectPacketBase::unlock | ( |  | ) |

| Unlocks memory block.

void XFcObjectPacketBase::unlockHeader | ( |  | ) |

| Unlocks header.

void XFcObjectPacketBase::unlockPacket | ( |  | ) |

| Unlocks packet.

## Member Data Documentation

INT32 XFcObjectPacketBase::mBufferSize`[protected]`

| Holds max buffer size.

INT32 XFcObjectPacketBase::mDataBlockSize`[protected]`

| Holds data block size.

INT32 XFcObjectPacketBase::mHeaderSize`[protected]`

| Holds header size.

CHAR8* XFcObjectPacketBase::mMemoryBlock`[protected]`

| Holds data pointer.

INT32 XFcObjectPacketBase::mPacketSize`[protected]`

| Holds packet size.

INT32 XFcObjectPacketBase::mSendStatus`[protected]`

| Holds send status.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch